//NewGuideControlPanel.java
import java.awt.*;
import java.awt.event.*;
import java.applet.*;
//import java.lang.*;  

public class NewGuideControlPanel extends Panel{
    //private static final Color bgcolor = Color.lightGray;
    //private static final Color bgcolor = new Color(160,200,200);
     private static final Color bgcolor = new Color(236,236,221);
    Label lab1, lab2;
    Choice ch1, ch2;
    public  Button about;
    
    public Checkbox c1, c2, cdB;
    CheckboxGroup cgrid1;

    
    public NewGuideControlPanel(){
	super();
        setLayout(null);
	setBackground(bgcolor);
	about = new Button("Instructions");
	lab1 = new Label("Set: ", Label.RIGHT);
	lab1.setFont(new Font("SanSerif",Font.BOLD,12));
	
	lab2 = new Label("Select: ", Label.RIGHT);
	lab2.setFont(new Font("SanSerif",Font.BOLD,12));
	
	ch1 = new Choice();
	ch1.addItem("E(\u03b8)/E(0)");
	ch1.addItem("F(\u03b8)");
        
        cgrid1=new CheckboxGroup();
	c1 = new Checkbox("|E(\u03b8)|/|E(0)|",cgrid1,true);	
	c2 = new Checkbox("F(\u03b8)",cgrid1,false);
	add(c1);
	add(c2);
        cdB = new Checkbox("dB",true);
        add(cdB);
	
        // CHANGE ==============================================================
	c1.setFont(new Font("SanSerif",Font.PLAIN,11));
        c2.setFont(new Font("SanSerif",Font.PLAIN,12));
        cdB.setFont(new Font("SanSerif",Font.PLAIN,12));
        c1.setBounds(3,10,96,20);
	c2.setBounds(99,10,54,20);
        cdB.setBounds(153,10,48,20);
	//======================================================================
	add(about);
	//add(ch1);
	
	ch2 = new Choice();
	ch2.addItem(" Set Antenna Parameters");
	ch2.addItem(" Scan Fields and Power");
	ch2.addItem(" Instructions");
	//add(lab2);
	//add(ch2);
        
        about.setBounds(202,8,88,20);
        about.setBackground(Color.white);
        Panel p3 = new Panel();
	    p3.setBackground(Color.black);
	    add(p3);
	    p3.setBounds(201,7,90,22);
    }
    
    public void paint(Graphics g){
	g.setColor(bgcolor.darker());
	g.fillRect(0,getSize().height-2,getSize().width,2);
	g.fillRect(getSize().width-2,0,2,getSize().height);
	g.setColor(bgcolor.brighter());
	g.fillRect(0,0,2,getSize().height-1);
	g.fillRect(0,0,getSize().width-2,2);
    }
    
}